# Uses of Interface
org.eclipse.birt.chart.model.attribute.ColorDefinition

Packages that use ColorDefinition
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of ColorDefinition in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
GObjectFactory.`BLACK()`
`ColorDefinition`
IGObjectFactory.`BLACK()`
`ColorDefinition`
GObjectFactory.`brighter(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`brighter(ColorDefinition src)`
`ColorDefinition`
GObjectFactory.`copyOf(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`copyOf(ColorDefinition src)`
`ColorDefinition`
GObjectFactory.`createColorDefinition(int iRed, int iGreen, int iBlue)`
`ColorDefinition`
GObjectFactory.`createColorDefinition(int iRed, int iGreen, int iBlue, int iAlpha)`
`ColorDefinition`
IGObjectFactory.`createColorDefinition(int iRed, int iGreen, int iBlue)`
`ColorDefinition`
IGObjectFactory.`createColorDefinition(int iRed, int iGreen, int iBlue, int iAlpha)`
`ColorDefinition`
GObjectFactory.`darker(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`darker(ColorDefinition src)`
`ColorDefinition`
GObjectFactory.`GREY()`
`ColorDefinition`
IGObjectFactory.`GREY()`
`ColorDefinition`
GObjectFactory.`RED()`
`ColorDefinition`
IGObjectFactory.`RED()`
`ColorDefinition`
GObjectFactory.`translucent(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`translucent(ColorDefinition src)`
`ColorDefinition`
GObjectFactory.`TRANSPARENT()`
`ColorDefinition`
IGObjectFactory.`TRANSPARENT()`
`ColorDefinition`
GObjectFactory.`WHITE()`
`ColorDefinition`
IGObjectFactory.`WHITE()`
Methods in org.eclipse.birt.chart.computation with parameters of type ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
GObjectFactory.`brighter(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`brighter(ColorDefinition src)`
`ColorDefinition`
GObjectFactory.`copyOf(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`copyOf(ColorDefinition src)`
`Gradient`
GObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)`
`Gradient`
GObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
`Gradient`
IGObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)`
`Gradient`
IGObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
`LineAttributes`
GObjectFactory.`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
`LineAttributes`
IGObjectFactory.`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
`ColorDefinition`
GObjectFactory.`darker(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`darker(ColorDefinition src)`
`ColorDefinition`
GObjectFactory.`translucent(ColorDefinition src)`
`ColorDefinition`
IGObjectFactory.`translucent(ColorDefinition src)`

## Uses of ColorDefinition in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type ColorDefinition
Modifier and Type
Method
Description
`Object`
DisplayAdapter.`getColor(ColorDefinition cd)`
`Object`
IDisplayServer.`getColor(ColorDefinition cd)`
Attempts to create a new color resource associated with a specific device

## Uses of ColorDefinition in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory with parameters of type ColorDefinition
Modifier and Type
Method
Description
`void`
Generator.`setDefaultBackground(ColorDefinition cd)`

## Uses of ColorDefinition in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
ColorDefinition.`brighter()`
NOTE: Manually written
`ColorDefinition`
ColorDefinition.`copyInstance()`
`ColorDefinition`
AttributeFactory.`createColorDefinition()`
Returns a new object of class 'Color Definition'.
`ColorDefinition`
ColorDefinition.`darker()`
NOTE: Manually written
`ColorDefinition`
PatternImage.`getBackColor()`
Returns the value of the 'Back Color' containment reference.
`ColorDefinition`
Style.`getBackgroundColor()`
Returns the value of the 'Background Color' containment reference.
`ColorDefinition`
LineAttributes.`getColor()`
Returns the value of the 'Color' containment reference.
`ColorDefinition`
Style.`getColor()`
Returns the value of the 'Color' containment reference.
`ColorDefinition`
Text.`getColor()`
Returns the value of the 'Color' containment reference.
`ColorDefinition`
Gradient.`getEndColor()`
Returns the value of the 'End Color' containment reference.
`ColorDefinition`
PatternImage.`getForeColor()`
Returns the value of the 'Fore Color' containment reference.
`ColorDefinition`
Gradient.`getStartColor()`
Returns the value of the 'Start Color' containment reference.
`ColorDefinition`
ColorDefinition.`opaque()`
NOTE: Manually written
`ColorDefinition`
ColorDefinition.`translucent()`
NOTE: Manually written
`ColorDefinition`
ColorDefinition.`transparent()`
NOTE: Manually written
Methods in org.eclipse.birt.chart.model.attribute with parameters of type ColorDefinition
Modifier and Type
Method
Description
`void`
PatternImage.`setBackColor(ColorDefinition value)`
Sets the value of the '`Back Color`' containment reference.
`void`
Style.`setBackgroundColor(ColorDefinition value)`
Sets the value of the '`Background Color`' containment reference.
`void`
LineAttributes.`setColor(ColorDefinition value)`
Sets the value of the '`Color`' containment reference.
`void`
Style.`setColor(ColorDefinition value)`
Sets the value of the '`Color`' containment reference.
`void`
Text.`setColor(ColorDefinition value)`
Sets the value of the '`Color`' containment reference.
`void`
Gradient.`setEndColor(ColorDefinition value)`
Sets the value of the '`End Color`' containment reference.
`void`
PatternImage.`setForeColor(ColorDefinition value)`
Sets the value of the '`Fore Color`' containment reference.
`void`
Gradient.`setStartColor(ColorDefinition value)`
Sets the value of the '`Start Color`' containment reference.

## Uses of ColorDefinition in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement ColorDefinition
Modifier and Type
Class
Description
`class`
`ColorDefinitionImpl`
An implementation of the model object ' Color Definition'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return ColorDefinition
Modifier and Type
Method
Description
`static final ColorDefinition`
ColorDefinitionImpl.`BLACK()`
An opaque black color with (r=0;g=0;b=0) Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`BLUE()`
A light opaque blue color with (r=0;g=0;b=255) Note: Manually written
`final ColorDefinition`
ColorDefinitionImpl.`brighter()`
NOTE: Manually written
`ColorDefinition`
ColorDefinitionImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final ColorDefinition`
ColorDefinitionImpl.`CREAM()`
An opaque creamy color with (r=249;g=225;b=191) Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`create(int iRed, int iGreen, int iBlue)`
NOTE: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`create(int iRed, int iGreen, int iBlue, int iAlpha)`
NOTE: Manually written
`ColorDefinition`
AttributeFactoryImpl.`createColorDefinition()`
`static final ColorDefinition`
ColorDefinitionImpl.`CYAN()`
An opaque cyan color with (r=225;g=225;b=255) Note: Manually written
`final ColorDefinition`
ColorDefinitionImpl.`darker()`
NOTE: Manually written
`ColorDefinition`
PatternImageImpl.`getBackColor()`
`ColorDefinition`
StyleImpl.`getBackgroundColor()`
`ColorDefinition`
LineAttributesImpl.`getColor()`
`ColorDefinition`
StyleImpl.`getColor()`
`ColorDefinition`
TextImpl.`getColor()`
`ColorDefinition`
GradientImpl.`getEndColor()`
`ColorDefinition`
PatternImageImpl.`getForeColor()`
`ColorDefinition`
GradientImpl.`getStartColor()`
`static final ColorDefinition`
ColorDefinitionImpl.`GREEN()`
A light opaque green color with (r=0;g=255;b=0) Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`GREY()`
A light opaque grey color with (r=127;g=127;b=127) Note: Manually written
`final ColorDefinition`
ColorDefinitionImpl.`opaque()`
`static final ColorDefinition`
ColorDefinitionImpl.`ORANGE()`
An opaque orange color with (r=223;g=197;b=41) Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`PINK()`
An opaque orange color with (r=255;g=205;b=225) Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`RED()`
A light opaque red color with (r=255;g=0;b=0) Note: Manually written
`final ColorDefinition`
ColorDefinitionImpl.`translucent()`
`final ColorDefinition`
ColorDefinitionImpl.`transparent()`
`static final ColorDefinition`
ColorDefinitionImpl.`TRANSPARENT()`
A transparent color constant that should be used wherever applicable Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`WHITE()`
An opaque white color with (r=255;g=255;b=255) Note: Manually written
`static final ColorDefinition`
ColorDefinitionImpl.`YELLOW()`
An opaque yellow color with (r=255;g=255;b=0) Note: Manually written
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type ColorDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
PatternImageImpl.`basicSetBackColor(ColorDefinition newBackColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
StyleImpl.`basicSetBackgroundColor(ColorDefinition newBackgroundColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LineAttributesImpl.`basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
StyleImpl.`basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
TextImpl.`basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GradientImpl.`basicSetEndColor(ColorDefinition newEndColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
PatternImageImpl.`basicSetForeColor(ColorDefinition newForeColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GradientImpl.`basicSetStartColor(ColorDefinition newStartColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final Gradient`
GradientImpl.`create(ColorDefinition cdStart, ColorDefinition cdEnd)`
`static final Gradient`
GradientImpl.`create(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
A convenience method provided to create a gradient instance with all member variables initialized
`static final LineAttributes`
LineAttributesImpl.`create(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static Style`
StyleImpl.`create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)`
`static final LineAttributes`
LineAttributesImpl.`createDefault(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
LineAttributesImpl.`createDefault(ColorDefinition cd, LineStyle ls, int iThickness, boolean visible)`
`void`
LineAttributesImpl.`set(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates initialization of member variables.
`void`
PatternImageImpl.`setBackColor(ColorDefinition newBackColor)`
`void`
StyleImpl.`setBackgroundColor(ColorDefinition newBackgroundColor)`
`void`
LineAttributesImpl.`setColor(ColorDefinition newColor)`
`void`
StyleImpl.`setColor(ColorDefinition newColor)`
`void`
TextImpl.`setColor(ColorDefinition newColor)`
`void`
GradientImpl.`setEndColor(ColorDefinition newEndColor)`
`void`
PatternImageImpl.`setForeColor(ColorDefinition newForeColor)`
`void`
GradientImpl.`setStartColor(ColorDefinition newStartColor)`

## Uses of ColorDefinition in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
Label.`getShadowColor()`
Returns the value of the 'Shadow Color' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type ColorDefinition
Modifier and Type
Method
Description
`void`
Label.`setShadowColor(ColorDefinition value)`
Sets the value of the '`Shadow Color`' containment reference.

## Uses of ColorDefinition in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
LabelImpl.`getShadowColor()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type ColorDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LabelImpl.`basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static Grid`
GridImpl.`create(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`static Grid`
GridImpl.`createDefault(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`static final MarkerLine`
MarkerLineImpl.`createDefault(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`createDefault(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`void`
LabelImpl.`setShadowColor(ColorDefinition newShadowColor)`

## Uses of ColorDefinition in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
ClientArea.`getShadowColor()`
Returns the value of the 'Shadow Color' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type ColorDefinition
Modifier and Type
Method
Description
`void`
ClientArea.`setShadowColor(ColorDefinition value)`
Sets the value of the '`Shadow Color`' containment reference.

## Uses of ColorDefinition in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
ClientAreaImpl.`getShadowColor()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type ColorDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ClientAreaImpl.`basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ClientAreaImpl.`setShadowColor(ColorDefinition newShadowColor)`

## Uses of ColorDefinition in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
BarSeries.`getRiserOutline()`
Returns the value of the 'Riser Outline' containment reference.
`ColorDefinition`
LineSeries.`getShadowColor()`
Returns the value of the 'Shadow Color' containment reference.
`ColorDefinition`
PieSeries.`getSliceOutline()`
Returns the value of the 'Slice Outline' containment reference.
Methods in org.eclipse.birt.chart.model.type with parameters of type ColorDefinition
Modifier and Type
Method
Description
`void`
BarSeries.`setRiserOutline(ColorDefinition value)`
Sets the value of the '`Riser Outline`' containment reference.
`void`
LineSeries.`setShadowColor(ColorDefinition value)`
Sets the value of the '`Shadow Color`' containment reference.
`void`
PieSeries.`setSliceOutline(ColorDefinition value)`
Sets the value of the '`Slice Outline`' containment reference.

## Uses of ColorDefinition in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return ColorDefinition
Modifier and Type
Method
Description
`ColorDefinition`
BarSeriesImpl.`getRiserOutline()`
`ColorDefinition`
LineSeriesImpl.`getShadowColor()`
`ColorDefinition`
PieSeriesImpl.`getSliceOutline()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type ColorDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BarSeriesImpl.`basicSetRiserOutline(ColorDefinition newRiserOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LineSeriesImpl.`basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
PieSeriesImpl.`basicSetSliceOutline(ColorDefinition newSliceOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BarSeriesImpl.`setRiserOutline(ColorDefinition newRiserOutline)`
`void`
LineSeriesImpl.`setShadowColor(ColorDefinition newShadowColor)`
`void`
PieSeriesImpl.`setSliceOutline(ColorDefinition newSliceOutline)`